import { Component } from '@angular/core';
import { MatButtonModule } from '@angular/material/button';
import { MatCardModule } from '@angular/material/card';
import { MatFormFieldModule } from '@angular/material/form-field';
import { MatInputModule } from '@angular/material/input';
import { CommonModule } from '@angular/common';
import { JokeService } from '../services/joke.service';

@Component({
  selector: 'app-mainpage',
  standalone: true,
  imports: [MatCardModule, MatFormFieldModule, MatInputModule, MatButtonModule, CommonModule], 
  templateUrl: './mainpage.component.html',
  styleUrls: ['./mainpage.component.css'],
})
export class MainpageComponent {
  joke: string = '';
  error: string = '';

  constructor(private jokeService: JokeService) {}

  fetchRandomJoke() {
    this.jokeService.getRandomJoke().subscribe({
      next: (response) => {
        this.joke = response.joke;
        this.error = ''; 
      },
      error: (err) => {
        if (err.status === 404) {
          this.error = 'No jokes available.';
        } else {
          this.error = 'An error occurred. Please try again later.';
        }
        this.joke = ''; 
      },
    });
  }
}
