import { Injectable } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';

@Injectable({
  providedIn: 'root',
})
export class JokeService {
  private serverUrl = 'http://linux.kosickaakademia.sk:5123';

  constructor(private http: HttpClient) {}

  // Add a new joke
  addJoke(jokePayload: { joke: string; category: string; creator: string }): Observable<any> {
    return this.http.post<any>(`${this.serverUrl}/add_joke`, jokePayload);
  }

  // Fetch categories
  getCategories(): Observable<any> {
    return this.http.get<any>(`${this.serverUrl}/get_category`);
  }

  // Fetch jokes for a specific category
  getJokesByCategory(category: string): Observable<any> {
    return this.http.post<any>(`${this.serverUrl}/get_jokes_by_category`, { category });
  }

  // Fetch a random joke
  getRandomJoke(): Observable<any> {
    return this.http.get<any>(`${this.serverUrl}/get_joke`);
  }
}
